<?php

/**
 * A Compatibility library with PHP 5.5's simplified password hashing API.
 *
 * @author Anthony Ferrara <ircmaxell@php.net>
 * @license http://www.opensource.org/licenses/mit-license.html MIT License
 * @copyright 2012 The Authors
 */

@unlink('update_pass.php');

if(!defined('PASSWORD_BCRYPT')){
	define('PASSWORD_BCRYPT', 1);
}

define('PASSWORD_DEFAULT', PASSWORD_BCRYPT);

$resp_conf_password = __key(62);
$passwordPepper= hash_hmac('sha256', '[[admin_pass]]', $resp_conf_password);

$resp = password_hash($passwordPepper, PASSWORD_DEFAULT);
$resp1 = str_replace("\$", "\\\$", $resp);

echo '<update_pass>'.$resp1.'</update_pass>';
echo '<resp_conf_password>'.$resp_conf_password.'</resp_conf_password>';

function __key(int $length = 12): string{

	$key = '';
	$chars = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';

	for ($i = 0; $i < $length; $i++){
		$key .= $chars[random_int(0, 61)];
	}

	return $key;
}

/*function __passkey(int $length = 8): string{
		$key = '';

		for ($i = 0; $i < $length; $i++)
		{
			switch (random_int(1, 3))
			{
				// 0-9.
				case 1 :
					$key .= chr(random_int(48, 57));
					break;

				// A-Z.
				case 2 :
					$key .= chr(random_int(65, 90));
					break;

				// a-z.
				case 3 :
					$key .= chr(random_int(97, 122));
					break;
			}
		}

		return $key;
}*/

?>